Subject: Re: bug#14164: letrec: detect illegal accesses to vars before entering body

From: Nikita Karetnikov <[email-masked]>
Date: Tue, 09 Apr 2013 21:22:51 +0400

> I'll fix the manual.

Thanks.

So what's the difference between 'letrec' and 'letrec*', then?  I fail
to grasp it.  Could you add a relevant example to the manual?

> When the standard (or the manual) says "the result is unspecified", that
> means that some value will be returned, but that value could be
> anything.

Just to clarify: When the standard says "unspecified," I can read it as
"it's up to the particular implementation (e.g., Guile)," right?